Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class PerforceModule

    java.lang.Object
      com.pmease.quickbuild.repository.RepositoryModule
          com.pmease.quickbuild.repository.PerforceModule

All Implemented Interfaces:
  java.io.Serializable

public class PerforceModule
extends RepositoryModule

See Also:
  Serialized Form

Constructor Summary
`PerforceModule()`

Method Summary
`java.lang.String` | `getClientPath()` OGNL: Specify the client side path, such as /testperforce/...
`java.lang.String` | `getDepotPath()` OGNL: Specify the Perforce depot side path, such as //depot/testperforce/...
`java.lang.String` | `getLabel()` OGNL: Specify the label for the above depot path.
`java.lang.String` | `getNormalizedClientPath(java.lang.String clientName)`
`void` | `setClientPath(java.lang.String clientPath)`
`void` | `setDepotPath(java.lang.String depotPath)`
`void` | `setLabel(java.lang.String label)`

Methods inherited from class com.pmease.quickbuild.repository.RepositoryModule
`isSelected, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerforceModule

    public PerforceModule()

Method Detail

### getDepotPath

    public java.lang.String getDepotPath()

  OGNL: Specify the Perforce depot side path, such as //depot/testperforce/....

  Returns:

### setDepotPath

    public void setDepotPath(java.lang.String depotPath)

### getLabel

    public java.lang.String getLabel()

  OGNL: Specify the label for the above depot path. When empty, the latest version (head) of the above depot path will be retrieved.

  Returns:

### setLabel

    public void setLabel(java.lang.String label)

### getClientPath

    public java.lang.String getClientPath()

  OGNL: Specify the client side path, such as /testperforce/...
  NOTE: You should not put client name in this path. Before check out, QuickBuild will automatically generate a proper client name to prefix this path, to form a client path like //<generated client name>/testperforce/....

  Returns:

### setClientPath

    public void setClientPath(java.lang.String clientPath)

### getNormalizedClientPath

    public java.lang.String getNormalizedClientPath(java.lang.String clientName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.